## yasnippet 0.14.1~git20250112.5b315f1

=== Makefile ===
### Makefile for Yasnippet (stolen from Eglot)
# Variables
#
EMACS?=emacs
SELECTOR?=t
ERROR_ON_WARN=nil

LOAD_PATH=-L .

ELFILES := yasnippet.el yasnippet-tests.el
ELCFILES := $(ELFILES:.el=.elc)

BYTECOMP_ERROR_ON_WARN := \
	--eval '(setq byte-compile-error-on-warn $(ERROR_ON_WARN))'

all: compile

%.elc: %.el
	$(EMACS) -Q $(BYTECOMP_ERROR_ON_WARN) $(LOAD_PATH) \
		--batch -f batch-byte-compile $<

compile: $(ELCFILES)

# Automated tests
#
yasnippet-check: compile
	$(EMACS) -Q --batch						\
		$(LOAD_PATH)						\
		-l yasnippet						\
		-l yasnippet-tests						\
		--eval '(setq ert-batch-backtrace-right-margin 200)'	\
		--eval '(ert-run-tests-batch-and-exit (quote $(SELECTOR)))'

interactive: compile
	$(EMACS) -Q							\
		$(LOAD_PATH)						\
		-l yasnippet						\
		-l yasnippet-tests						\

check: yasnippet-check

# Cleanup
#
clean:
	find . -iname '*.elc' -exec rm {} \;
.PHONY: all compile clean check

## yasnippet 0.6.1c

=== debian/changelog ===
yasnippet (0.6.1c-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version from 3.8.0 to 3.8.4 (no changes needed).
  * Switch to dpkg-source 3.0 (quilt) format
  * Changed Section to lisp to match override
  * Depend on emacs instead of emacs22
  * Remove python-docutils and python-pygments from build-deps
  * Updated Copyright information
  * Added doc-base control file
  * Added watch file

 -- Julián Hernández Gómez <julianhernandez@gmail.com>  Fri, 26 Feb 2010 10:34:33 +0800

yasnippet (0.5.10-1) unstable; urgency=low

  * Initial release. (Closes: #517948, #484465)

 -- Julián Hernández Gómez <julianhernandez@gmail.com>  Fri, 27 Feb 2009 13:47:00 +0800

=== debian/control ===
Source: yasnippet
Section: lisp
Priority: extra
Maintainer: Julián Hernández Gómez <julianhernandez@gmail.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/yasnippet/

Package: yasnippet
Architecture: any
Depends: emacs | emacsen, ${misc:Depends}
Description: A template system for Emacs
 YASnippet (yet another snippet extension for Emacs) is a template
 system for Emacs. It allows you to type an abbrevation and
 automatically expand the abbreviation into function templates.
 .
 Bundled language templates includes: C, C++, C#, Perl, Python, Ruby,
 SQL, LaTeX, HTML, CSS and more.

=== debian/watch ===
version=3

http://code.google.com/p/yasnippet/downloads/list \
http://yasnippet.googlecode.com/files/yasnippet-(.*)\.tar\.bz2

## yasnippet 0.9.0~beta1

=== debian/changelog ===
yasnippet (0.9.0~beta1-5) unstable; urgency=medium

  * Fail to fail when files are overwritten during upgrade (closes: #799667)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 03 Oct 2015 12:08:48 +0100

yasnippet (0.9.0~beta1-4) unstable; urgency=medium

  * Do not try to install with emacs23 (Closes: #787613)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Jun 2015 22:48:34 +0100

yasnippet (0.9.0~beta1-3) unstable; urgency=medium

  * Switch to architecture: all to avoid per-architecture binaries.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 May 2015 09:23:15 +0100

yasnippet (0.9.0~beta1-2) unstable; urgency=medium

  [ Alberto Luaces ]
  * Fix org-mode-based documentation generation when running with sbuild.
    The system was trying to access unexistent $HOME directory.

  [ Barak A. Pearlmutter ]
  * Merge additional clauses to prev stanza from Alberto.
  * Close excremental bug fixed upstream, in prev stanza.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 May 2015 11:34:25 +0100

yasnippet (0.9.0~beta1-1) unstable; urgency=medium

  * New upstream release, with shit missing (Closes: #592645)
  * Modernize debian packaging scripts
  * Updated watch file (Closes: #691385).
  * Replaced load-path with debian-pkg-add-load-path-item (Closes:
    #671561).
  * This module is byte-compiled now (Closes: #672196).

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 May 2015 21:20:23 +0100

=== debian/control ===
Source: yasnippet
Section: lisp
Priority: extra
Maintainer: Julián Hernández Gómez <julianhernandez@gmail.com>
Uploaders: Barak A. Pearlmutter <bap@debian.org>, Alberto Luaces Fernández <aluaces@udc.es>
Build-Depends: debhelper (>= 9), emacs24-nox | emacs-nox | emacs | emacs24
Standards-Version: 3.9.6
Homepage: https://github.com/capitaomorte/yasnippet

Package: yasnippet
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Recommends: yasnippet-snippets
Description: Template system for Emacs
 YASnippet (yet another snippet extension for Emacs) is a template
 system for Emacs. It allows you to type an abbrevation and
 automatically expand the abbreviation into function templates.
 .
 Bundled language templates includes: C, C++, C#, Perl, Python, Ruby,
 SQL, LaTeX, HTML, CSS and more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	HOME=$$(pwd) emacs -Q -L . --batch -l doc/yas-doc-helper.el -f yas--generate-html-batch

=== debian/watch ===
version=3

https://github.com/capitaomorte/yasnippet/downloads/ .*/yasnippet-(.*)\.tar\.gz

## yasnippet 0.11.0

=== debian/changelog ===
yasnippet (0.11.0-2) unstable; urgency=medium

  * Add missing Vcs-* fields.
  * Add 0004-no-timestamp-in-html-head.patch for a reproducible build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Dec 2016 21:38:44 -0700

yasnippet (0.11.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release (Closes: #845061).
  * Adopt package on behalf of pkg-emacsen team.
    This has been approved by the de facto maintainer, Barak A. Pearlmutter.
    - Replace Julián Hernández Gómez with pkg-emacsen team as Maintainer.
    - Add myself as an uploader.
    - Add myself to d/copyright file for debian/.
    - Update copyright years for Barak A. Pearlmutter.
  * Convert package to use dh_elpa (Closes: #671584, #818440).
    - Build 'elpa-yasnippet' binary package.
    - 'yasnippet' now a transition binary package.
    - Rewrite d/rules.
    - Add d/elpa-yasnippet.elpa & d/elpa-test control files.
    - Replace build dependency on Emacs with build dependency on dh-elpa.
    - Add build dependency on yasnippet-snippets for test suite.
    - Drop debian/emacsen-*.
    - Update doc-base registration.
  * Add 0003-Debian-yas-installed-snippets-dir.patch (Closes: #818699).
  * Add missing build dependency on emacs-goodies-el.
    The documentation build process can optionally use htmlize.el.  The
    version of htmlize.el present in emacs-goodies-el is currently too old
    for this to work, but adding the build dependency now will make this
    work as soon as emacs-goodies-el is updated.
  * Bump debhelper compat & dependency to 10.
  * Update homepage field.
  * Add Testsuite: field.
  * Fix typo in package description.
  * Add debian/clean.
  * Bump standards version to 3.9.8 (no changes required).
  * Run wrap-and-sort -abst.

  [ Barak A. Pearlmutter ]
  * Drop 0001-Deal-with-the-invalid-function-quote-error-when-gene.patch
    Merged upstream.
  * Refresh 0002-Avoiding-having-git-as-a-building-dependency.patch
  * Add 0001-typos-and-grammar.patch
  * Swizzle debian/watch to github.com/joaotavora/yasnippet/tags
  
 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2016 14:19:31 +0000

=== debian/control ===
Source: yasnippet
Section: lisp
Priority: extra
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Barak A. Pearlmutter <bap@debian.org>,
 Alberto Luaces Fernández <aluaces@udc.es>,
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 emacs-goodies-el,
 yasnippet-snippets,
Standards-Version: 3.9.8
Homepage: https://github.com/joaotavora/yasnippet
Testsuite: autopkgtest-pkg-elpa
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/yasnippet.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/yasnippet.git

Package: elpa-yasnippet
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Recommends:
 yasnippet-snippets,
Enhances:
 emacs,
 emacs24,
 emacs25,
Breaks:
 yasnippet (<< 0.11.0),
Provides:
 yasnippet,
Description: Template system for Emacs
 YASnippet (yet another snippet extension for Emacs) is a template
 system for Emacs. It allows you to type an abbreviation and
 automatically expand the abbreviation into function templates.
 .
 Bundled language templates includes: C, C++, C#, Perl, Python, Ruby,
 SQL, LaTeX, HTML, CSS and more.

Package: yasnippet
Architecture: all
Depends:
 elpa-yasnippet,
 ${misc:Depends},
Description: Transition Package, yasnippet to elpa-yasnippet
 The yasnippet emacs addon has been elpafied.  This dummy package
 helps ease transition from yasnippet to elpa-yasnippet, and may
 safely be removed.

## yasnippet 0.12.1

=== debian/changelog ===
yasnippet (0.12.1-1) unstable; urgency=medium

  * New upstream release (Closes: #771159).
  * Drop 0001-typos-and-grammar.patch
    Merged upstream.
  * Drop 0002-Avoiding-having-git-as-a-building-dependency.patch
    Obsoleted by upstream's switch to use SOURCE_DATE_EPOCH.
  * Refresh 0003-Debian-yas-installed-snippets-dir.patch
  * Drop 0004-no-timestamp-in-html-head.patch
    Merged upstream.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 24 Jul 2017 15:18:42 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-elpa,
  emacs-goodies-el,
  yasnippet-snippets,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/yasnippet.git

## yasnippet 0.12.2

=== debian/changelog ===
yasnippet (0.12.2-2) unstable; urgency=medium

  * Remove obsolete conffile /etc/emacs/site-start.d/50yasnippet.el
    (Closes: #884621).
    Thanks H.-Dirk Schmitt for noting the problem.
  * Priority extra->optional.
  * Declare compliance with Debian Policy 4.1.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Dec 2017 10:07:25 +0000

yasnippet (0.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Tidy Copyright: fields & bump copyright years.
  * Add a build-conflict with elpa-org.
    See https://github.com/joaotavora/yasnippet/issues/852
  * Bump std-ver to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 02 Sep 2017 13:21:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: yasnippet
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders:
  Barak A. Pearlmutter <bap@debian.org>,
@@ -11,7 +11,9 @@
  dh-elpa,
  emacs-goodies-el,
  yasnippet-snippets,
-Standards-Version: 4.0.0
+# see https://github.com/joaotavora/yasnippet/issues/852
+Build-Conflicts: elpa-org
+Standards-Version: 4.1.2
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/yasnippet.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	HOME=$$(pwd) emacs -Q -L . --batch -l doc/yas-doc-helper.el -f yas--generate-html-batch

## yasnippet 0.13.0

=== debian/changelog ===
yasnippet (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on elpa-htmlize instead of emacs-goodies-el. (Closes: #898579)
  * Lowercase short descriptions
  * Declare Standards-Version: 4.1.5. (No additional changes needed)
  * debian/rules: Load htmlize before attempting to build docs.
    - Needed to fontify src blocks.
  * Restore build-dep on yasnippet-snippets for self-tests.
    - Solves "Prepared just-in-time loading of snippets
      (but no snippets found)"
    - While it is not needed for tests to pass, elpa-yasnippet-snippets
      enhances the quality of those tests.
  * debian/control: Add minor enhancements to the comments.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 01 Aug 2018 22:10:25 -0400

yasnippet (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Recommend elpa-yasnippet-snippets rather than yasnippet-snippets.
    - Drop yasnippet-snippets from Build-Depends; it does not seem to be
      needed for self-tests to pass.
    - Switch Vcs from alioth to salsa.
    - Switch to debhelper 11.
    - Update Maintainer team name and email address.
    - Drop emacs24 from Enhances.
  * Declare compat level 11.
  * Drop 0003-Debian-yas-installed-snippets-dir.patch
    - Uses obsolete yas-installed-snippets-dir.
    - Now elpa-yasnippets-snippets defines yasnippet-snippets-dir.
  * Declare Standards-Version: 4.1.4.
    - debian/control: Drop Built-Using because §7.8 says it should be used
      "exactly when there are license or DFSG requirements to retain full
      source code", and such requirements are not present in yasnippet.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 13 May 2018 15:22:01 -0400

=== debian/control ===
Source: yasnippet
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Barak A. Pearlmutter <bap@debian.org>,
 Alberto Luaces Fernández <aluaces@udc.es>,
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 11~),
 dh-elpa,
 elpa-htmlize,
 elpa-yasnippet-snippets
# See changelog entry 0.13.0-2 for why we build-depend on snippets.
# For an explanation of the build conflict on elpa-org,
# see https://github.com/joaotavora/yasnippet/issues/852
Build-Conflicts: elpa-org
Standards-Version: 4.1.5
Homepage: https://github.com/joaotavora/yasnippet
Testsuite: autopkgtest-pkg-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/yasnippet
Vcs-Git: https://salsa.debian.org/emacsen-team/yasnippet.git

Package: elpa-yasnippet
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 elpa-yasnippet-snippets,
Enhances:
 emacs,
 emacs25,
Breaks:
 yasnippet (<< 0.11.0),
Provides:
 yasnippet,
Description: template system for Emacs
 YASnippet (yet another snippet extension for Emacs) is a template
 system for Emacs. It allows you to type an abbreviation and
 automatically expand the abbreviation into function templates.
 .
 Bundled language templates includes: C, C++, C#, Perl, Python, Ruby,
 SQL, LaTeX, HTML, CSS and more.

Package: yasnippet
Architecture: all
Depends:
 elpa-yasnippet,
 ${misc:Depends},
Description: transition Package, yasnippet to elpa-yasnippet
 The yasnippet emacs addon has been elpafied.  This dummy package
 helps ease transition from yasnippet to elpa-yasnippet, and may
 safely be removed.

## yasnippet 0.14.0

=== debian/changelog ===
yasnippet (0.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Feb 2020 19:52:42 -0700

yasnippet (0.13.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 31 Aug 2019 09:08:11 -0300

## yasnippet 0.14.0%2Bgit20230912.76e1eee6

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	HOME=$$(pwd) emacs -Q -L /usr/share/emacs/site-lisp/elpa-src/htmlize-* -L . --batch -l htmlize -l doc/yas-doc-helper.el -f yas--generate-html-batch

## yasnippet 0.14.0+git20200603.5cbdbf0d

=== debian/changelog ===
yasnippet (0.14.0+git20200603.5cbdbf0d-2) unstable; urgency=medium

  * Team upload.

  [ Aymeric Agon-Rambosson ]
  * d/control : Remove elpa-org from Build-Conflicts: (does not fail build
    anymore).
  * d/control : Bump Standards-Version to 4.6.1 (no changes required).
  * d/copyright : Update Source field.
  * d/watch : update to version 4.
  * Add unbreak-other-unit-tests-(trampoline).patch.

  [ Sean Whitton ]
  * Remove myself, Sean Whitton, from Uploaders:.

  [ Aymeric Agon-Rambosson and Nicholas D Steeves ]
  * Resolve all known causes of FTBFS related to building the documentation
    (Closes: #1020143).
    + Add repair-documentation-build.patch.
    + Cherry pick 0003-Unbreak-unit-tests-under-Emacs-28.patch from an
      upstream pull request to fix the tests: extra-modes-parenthood,
      indent-org-property, and loading-with-cyclic-parenthood.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 29 Jan 2023 22:21:41 +0100

yasnippet (0.14.0+git20200603.5cbdbf0d-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Add 0001-Correct-link-to-Eligible-snippets-headline.patch
    (Closes: #973152).
  * copyright: use secure URI format.
  * Migrate to debhelper-compat 13.
  * control: Drop Enhances emacs25, because Debian's emacs package name has
    been unversioned.
  * control: Add "Rules-Requires-Root: no".
  * changelog: Cleanup trailing whitespace.

  [ Sean Whitton ]
  * Package upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Nov 2020 08:31:38 -0700

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,14 @@
 Uploaders:
  Barak A. Pearlmutter <bap@debian.org>,
  Alberto Luaces Fernández <aluaces@udc.es>,
- Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  dh-elpa,
  elpa-htmlize,
  elpa-yasnippet-snippets
 # See changelog entry 0.13.0-2 for why we build-depend on snippets.
-# For an explanation of the build conflict on elpa-org,
-# see https://github.com/joaotavora/yasnippet/issues/852
-Build-Conflicts: elpa-org
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/yasnippet
@@ -28,9 +25,7 @@
  ${misc:Depends},
 Recommends:
  elpa-yasnippet-snippets,
-Enhances:
- emacs,
- emacs25,
+Enhances: emacs
 Breaks:
  yasnippet (<< 0.11.0),
 Provides:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yasnippet-$1.tar.gz%"
     https://github.com/joaotavora/yasnippet/tags \
     (?:.*/)?v?(\d[\d\.]*)\.tar\.gz debian uupdate

## yasnippet 0.14.0+git20230912.76e1eee6

=== debian/changelog ===
yasnippet (0.14.0+git20230912.76e1eee6-1) unstable; urgency=medium

  * Team upload.

  [ Aymeric Agon-Rambosson ]
  * Add patch to repair major modes unit tests.
  * Add patch to skip tests 11 and 12 in emacs 29+.

  [ Barak A. Pearlmutter ]
  * tag and merge upstream snapshot, with cl-loop fix (closes: #1052929)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.2, no changes needed.
  * Bump years in debian/copyright
  * Add metadata file
  * Forward port quilt patches

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 08 Oct 2023 17:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  elpa-yasnippet-snippets
 # See changelog entry 0.13.0-2 for why we build-depend on snippets.
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/yasnippet

## yasnippet 0.14.1~git20250112.5b315f1

=== debian/changelog ===
yasnippet (0.14.1~git20250112.5b315f1-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Sync to latest upstream snapshot (5b315f1)
  * Manage and refresh patches using gbp-pq
  * Sync, refresh, and drop patches that are no longer needed
    - unbreak-other-unit-tests-(trampoline).patch
    - repair-major-modes-unit-tests.patch
    - condition-tests-11-and-12.patch
  * Skip "yas-org-native-tab-in-source-block-emacs-lisp" test
    - Failing on Emacs 30.1
  * Ship yasnippet-debug.el in elpa-yasnippet to help debugging
  * Add d/gbp.conf matching the current practice
  * Update Standards-Version to 4.7.1; no change needed
  * Update d/watch to track upstream snapshot
  * Add myself to Uploaders
  * Build-Depends on dh-elpa >= 2.1.6 in d/control
    - For using the correct implementation of ert_selectors.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 20:48:59 +0800

yasnippet (0.14.0+git20230912.76e1eee6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:45:37 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders:
  Barak A. Pearlmutter <bap@debian.org>,
  Alberto Luaces Fernández <aluaces@udc.es>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-elpa,
+ dh-elpa (>= 2.1.6),
  elpa-htmlize,
  elpa-yasnippet-snippets
 # See changelog entry 0.13.0-2 for why we build-depend on snippets.
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/yasnippet

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.14.1~git%cd.%h" \
     https://github.com/joaotavora/yasnippet \
     HEAD debian uupdate

## yasnippet 0.14.2

=== debian/changelog ===
yasnippet (0.14.2-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml and enable diffoscope to debug reprotest
    - Allow reprotest to fail: caused by
      randomness_in_ids_generated_by_org-html-publish-to-html
  * Update d/watch to track release on GNU ELPA
  * Update Standards-Version to 4.7.2; no change needed
  * Update section to editors
  * Drop old FSF address in d/copyright
    - Also reindent license text section.
  * Add Upstream-Contact in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 05 Apr 2025 01:28:53 -0700

## yasnippet 0.14.3

=== debian/changelog ===
yasnippet (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Manage patches using gbp-pq
  * Add patch to fix doc building

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 04 Jun 2025 01:35:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: yasnippet
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
@@ -13,7 +13,7 @@
  elpa-yasnippet-snippets
 # See changelog entry 0.13.0-2 for why we build-depend on snippets.
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/joaotavora/yasnippet
 Testsuite: autopkgtest-pkg-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/yasnippet

=== debian/watch ===
# Used to watch for upstream releases only.  Actual upstream branch
# should track Github.  Also use `git deborig' instead of `origtargz'.
version=4
     https://elpa.gnu.org/packages/yasnippet.html \
     yasnippet-@ANY_VERSION@\.tar.* debian uupdate
